flutterskel 0.0.17
flutterskel: ^0.0.17 copied to clipboard

A flutter package that provides the basic architecture

Use this package as a library

Depend on it

Run this command:

With Flutter:

 $ flutter pub add flutterskel

This will add a line like this to your package's pubspec.yaml (and run an implicit dart pub get):


dependencies:
  flutterskel: ^0.0.17

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:flutterskel/configuration/Configuration.dart';
import 'package:flutterskel/provider/ProviderBuilder.dart';
import 'package:flutterskel/resources/colors/ColorResources.dart';
import 'package:flutterskel/resources/dimensions/DimensionResources.dart';
import 'package:flutterskel/resources/fonts/FontResources.dart';
import 'package:flutterskel/resources/strings/StringResources.dart';
import 'package:flutterskel/resources/strings/StringsRepository.dart';
import 'package:flutterskel/resources/themes/ThemeRepository.dart';
import 'package:flutterskel/resources/themes/ThemeResources.dart';
import 'package:flutterskel/routing/page/PageRouter.dart';
import 'package:flutterskel/routing/url/UrlRouter.dart';
import 'package:flutterskel/userinformation/UserInformationRepository.dart';
import 'package:flutterskel/userinformation/UserProfileModel.dart';
import 'package:flutterskel/widgets/stateful/RawBaseStatefulWidget.dart';
import 'package:flutterskel/widgets/stateless/RawStatelessWidget.dart';
0
likes
60
pub points
0%
popularity

A flutter package that provides the basic architecture

Repository (GitHub)
View/report issues

Documentation

API reference

Uploader

shanrod220@gmail.com

License

LICENSE

Dependencies

flutter, provider, rxdart, shared_preferences

More

Packages that depend on flutterskel